%define anolis_release 1
%global pypi_name fastdownload
%global pypi_version 0.0.7

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %{anolis_release}%{?dist}
Summary:        A general purpose data downloading library

License:        Apache Software License 2.0
URL:            https://github.com/fastai/fastdownload/tree/master/
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
fastdownload is a Python library designed to simplify the process of downloading, verifying, 
and extracting archives such as datasets. It’s particularly useful for developers who want 
to provide users with easy, reliable access to large files or collections of files. Here’s 
a breakdown of its features and usage:

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(fastcore) >= 1.3.26
Requires:       python3dist(fastprogress)
Requires:       python3dist(setuptools)
%description -n python3-%{pypi_name}
fastdownload is a Python library designed to simplify the process of downloading, verifying, 
and extracting archives such as datasets. It’s particularly useful for developers who want 
to provide users with easy, reliable access to large files or collections of files. Here’s 
a breakdown of its features and usage:


%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Thu Jan 18 2024 Zhongling He <zhonglingh@linux.alibaba.com> - 0.0.7-1
- Initial package.